## healpix-fortran 3.60%2Bds

=== debian/changelog ===
healpix-fortran (3.60+ds-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:01 +0000

healpix-fortran (3.60+ds-1build3) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:25:14 +0100

healpix-fortran (3.60+ds-1build2) lunar; urgency=medium

  * No-change rebuild against libcfitsio10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 05:15:39 +0000

healpix-fortran (3.60+ds-1build1) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:45:23 +0100

healpix-fortran (3.60+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #963092)

 -- Leo Singer <leo.singer@ligo.org>  Fri, 19 Jun 2020 16:21:09 -0400
